Loading...
Searching...
No Matches
vkd3d_types.h File Reference

This file contains definitions for basic types used by vkd3d libraries. More...

`#include <stdarg.h>`
Include dependency graph for vkd3d_types.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef void(* | PFN_vkd3d_log) (const char *format, va_list args)

## Enumerations

enum | vkd3d_result { VKD3D_OK = 0 , VKD3D_FALSE = 1 , VKD3D_ERROR = -1 , VKD3D_ERROR_OUT_OF_MEMORY = -2 , VKD3D_ERROR_INVALID_ARGUMENT = -3 , VKD3D_ERROR_INVALID_SHADER = -4 , VKD3D_ERROR_NOT_IMPLEMENTED = -5 , VKD3D_ERROR_KEY_ALREADY_EXISTS = -6 , VKD3D_ERROR_NOT_FOUND = -7 , VKD3D_ERROR_MORE_DATA = -8 , VKD3D_FORCE_32_BIT_ENUM =(VKD3D_RESULT) }
| Result codes returned by some vkd3d functions. More...

## Detailed Description

This file contains definitions for basic types used by vkd3d libraries.

## Enumeration Type Documentation

## vkd3d_result

enum vkd3d_result

Result codes returned by some vkd3d functions.

Error codes always have negative values; non-error codes never do.

Enumerator
VKD3D_OK | Success.

VKD3D_FALSE

Success as a result of there being nothing to do.

Since
  1.12

VKD3D_ERROR | An unspecified failure occurred.
VKD3D_ERROR_OUT_OF_MEMORY | There are not enough resources available to complete the operation.
VKD3D_ERROR_INVALID_ARGUMENT | One or more parameters passed to a vkd3d function were invalid.
VKD3D_ERROR_INVALID_SHADER | A shader passed to a vkd3d function was invalid.
VKD3D_ERROR_NOT_IMPLEMENTED | The operation is not implemented in this version of vkd3d.

VKD3D_ERROR_KEY_ALREADY_EXISTS

The object or entry already exists.

Since
  1.12

VKD3D_ERROR_NOT_FOUND

The requested object was not found.

Since
  1.12

VKD3D_ERROR_MORE_DATA

The output buffer is larger than the requested object.

Since
  1.12.